Summary:	Tool for dumping a computer's DMI table contents
Name:		dmidecode
Version:	3.4
Release:	%mkrel 1
Group:		System/Kernel and hardware
Source0:	https://download.savannah.gnu.org/releases/dmidecode/%{name}-%{version}.tar.xz
# https://git.savannah.gnu.org/cgit/dmidecode.git
URL:		https://www.nongnu.org/dmidecode/
License:	GPLv2+

%description
Dmidecode is a tool for dumping a computer's DMI (some say SMBIOS) table
contents in a human-readable format.
This table contains a description of the system's hardware components, as well as other useful pieces of information
such as serial numbers and BIOS revision.
Part of its code can be found in the Linux kernel, because DMI data may be used to enable or disable specific
portions of code depending on the hardware vendor.
Thus, dmidecode is mainly used to detect system "signatures" and add them to the kernel source code
when needed.

%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{?ldflags}"

%install
%make_install prefix=%{_prefix} mandir=%{_mandir}
rm -rf %{buildroot}/%{_defaultdocdir}/%{name}

%files
%doc README LICENSE AUTHORS
%{_sbindir}/*
%{_mandir}/man8/*
